
package springexample.services;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

import springexample.commands.Account;
import springexample.commands.AccountDetail;
import springexample.commands.User;


/**
 * @author naveenb
 */
public class AccountServices {
	
	public AccountServices(){
		
	}
	
	public AccountDetail getAccountSummary(String userId){
		
		//Return some dummy data
		AccountDetail accountDetail = new AccountDetail();
		
		Account account1 = new Account();
		account1.setAccountType("Checking");
		account1.setAccountName("Bob Checking Account");
		account1.setAccountNumber("1111111-C123");
		account1.setAccountbalance(new BigDecimal(5000.00));
		
		Account account2 = new Account();
		account2.setAccountType("Checking");
		account2.setAccountName("Bob Saving Account");
		account2.setAccountNumber("1111111-S123");
		account2.setAccountbalance(new BigDecimal(15000.00));
		
		
		List arrayList = new ArrayList();
		arrayList.add(account1);
		arrayList.add(account2);
		
		accountDetail.setAccountsList(arrayList);
		
		User user = new User();
		user.setUserId(userId);
		user.setFirstName("Bob");
		user.setLastName("Simpson");
		
		return accountDetail;
		
	}

}
